[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.AddOnIdleHandler

Adds an application Idle handler to the list of handlers for the type.

## Declaration

Source position: forms.pp line 1647

`public procedure TApplication.AddOnIdleHandler(`
`Handler: TIdleEvent;`
`AsFirst: Boolean = True`
`);`

## Arguments

`Handler` |  | Idle handler Routine added to the handlers for the type.
`AsFirst` |  | True if the handler is inserted as the first item in the list. False if the handler is appended to the list.

## See also

TApplicationHandlerType |  | Types of Application notification handlers.